<?php
/*
Plugin Name: فرم جستجو در محصولات ووکامرس
Plugin URI: https://sitedar.com/?p=9459
Description: فرم جستجو در محصولات ووکامرس برای قسمت هدر صفحه به صورت یک کادر جستجو
Author: ایوب محمودی فرد , شرکت دارکوب
Version: 1.0.0
Author URI: https://sitedar.com/?p=9459
*/

function darkoob_woo_advanced_search() {
    global $dir;
    $dir = plugin_dir_path( __FILE__ );
    $tpl_dir = trailingslashit($dir.'templates');
    wp_enqueue_style( 'style-css', site_url().'/wp-content/plugins/darkoob-woo-advanced-search/assets/css/'.'style.css', array(), '1' );
    wp_enqueue_script( 'darkoob-woo-search-jquery', site_url().'/wp-content/plugins/darkoob-woo-advanced-search/assets/js/jquery.min.js', array ( 'jquery' ), 1.1, true);

    wp_enqueue_script('darkoob-woo-advanced-search-ajax-js', plugins_url( '/darkoob-woo-advanced-search/assets/js/ajax.js' , $dir) , array( 'jquery' ));
    wp_localize_script( 'darkoob-woo-advanced-search-ajax-js', 'darkoobAjax', array( 'ajaxurl' => plugins_url( '/darkoob-woo-advanced-search/includes/ajax.php' , $dir)));

    require_once $dir.'/includes/check-input.php'; 
    $checkInput = new checkInput;
    include ( $tpl_dir . 'front-end/woo-advanced-search.php' );
}
// Register a new shortCode: [darkoob-woo-advanced-search]
add_shortcode('darkoob-woo-advanced-search', 'darkoob_woo_advanced_search');
  